# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v5.031.
use strict;
use warnings;

use 5.006;

use ExtUtils::MakeMaker;



my %WriteMakefileArgs = (
  "ABSTRACT" => "Make managing multiple password strength profiles easy",
  "AUTHOR" => "Andrew Nelson <anelson\@cpan.org>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Password-Policy",
  "EXE_FILES" => [],
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.006",
  "NAME" => "Password::Policy",
  "PREREQ_PM" => {
    "Class::Load" => 0,
    "Clone" => 0,
    "Config::Any" => 0,
    "String::Multibyte" => 0,
    "Try::Tiny" => 0,
    "overload" => 0,
    "parent" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "Test::Fatal" => 0,
    "Test::More" => 0,
    "YAML" => 0
  },
  "VERSION" => "0.04",
  "test" => {
    "TESTS" => "t/*.t t/encryptions/*.t t/rules/*.t"
  }
);


my %FallbackPrereqs = (
  "Class::Load" => 0,
  "Clone" => 0,
  "Config::Any" => 0,
  "ExtUtils::MakeMaker" => 0,
  "String::Multibyte" => 0,
  "Test::Fatal" => 0,
  "Test::More" => 0,
  "Try::Tiny" => 0,
  "YAML" => 0,
  "overload" => 0,
  "parent" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);